API ReferenceWebhook Endpoints

Get webhook endpointv3.0

Markdown
GET
/api/v3/webhook_endpoints/{nano_id}

Retrieves a single webhook endpoint. Secret values are redacted. Use GET /webhook_endpoints/schema to discover field definitions.

x-api-key<token>

Project API key authentication

In: header

Path Parameters

nano_idstring

Webhook endpoint nano ID (e.g., we_abc123)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://backend.composio.dev/api/v3/webhook_endpoints/string"
{
  "id": "string",
  "toolkit_slug": "string",
  "client_id": "string",
  "webhook_url": "string",
  "data": {
    "property1": "string",
    "property2": "string"
  },
  "created_at": "string"
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}